## ros-rolling-ros2doctor 0.17.1

=== debian/changelog ===
ros-rolling-ros2doctor (0.17.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2doctor (0.17.0-1focal) focal; urgency=high

  * Switch ros2 doctor to using psutil for network checks. (#687 <https://github.com/ros2/ros2cli/issues/687>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2doctor (0.16.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2doctor (0.16.0-1focal) focal; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2doctor (0.15.0-1focal) focal; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Improve ros2 doctor on Windows. (#631 <https://github.com/ros2/ros2cli/issues/631>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-ros2doctor (0.14.0-1focal) focal; urgency=high

  * Add QoS compatibility check and report. (#621 <https://github.com/ros2/ros2cli/issues/621>)
  * Continue to next iteration after exceptions in generate_reports. (#623 <https://github.com/ros2/ros2cli/issues/623>)
  * Contributors: Alberto Soragna, Audrow Nash

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-ros2doctor (0.13.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-ros2doctor (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-rolling-ros2doctor (0.11.0-1focal) focal; urgency=high

  * Support Python 3.8-provided importlib.metadata. (#585 <https://github.com/ros2/ros2cli/issues/585>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ros2doctor (0.10.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-ros2doctor (0.10.0-1focal) focal; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Remove pkg_resources from ros2doctor. (#537 <https://github.com/ros2/ros2cli/pull/537>)
  * Make ros2doctor depend on ros_environment and fix platform.py bug on error. (#538 <https://github.com/ros2/ros2cli/issues/538>)
  * Refactor ros2doctor hello verb. (#521 <https://github.com/ros2/ros2cli/issues/521>)
  * Contributors: Chris Lalancette, Claire Wang, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-ros2doctor (0.9.5-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-ros2doctor (0.9.4-1focal) focal; urgency=high

  * Ensure ros2doctor ROS nodes have valid names. (#513 <https://github.com/ros2/ros2cli/issues/513>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ros2doctor (0.9.3-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-rolling-ros2doctor (0.9.2-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ros2doctor (0.9.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-rolling-ros2doctor (0.9.0-1focal) focal; urgency=high

  * Make sure to add ros2doctor verbs to the extension points. (#495 <https://github.com/ros2/ros2cli/issues/495>)
  * [ros2doctor] Only report topic warnings if publisher or subscription count is zero. (#472 <https://github.com/ros2/ros2cli/issues/472>)
    Before the tool was generating many false positives as it is a valid configuration
    to have an unequal number of publishers and subscriptions on a given topic.
    This change makes it so we only provide a warning if one of the counts is zero and the
    other is not. Although this is still a legitimate configuration, it seems more likely to be
    a problem and worth reporting.
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Prefix ros2doctor node names with 'ros2doctor_'. (#451 <https://github.com/ros2/ros2cli/issues/451>)
    This fixes an error when the hostname starts
    with an illegal character for a node name
    (e.g. a number).
  * [ros2doctor] Handle non-metapackages in rosdistro check. (#452 <https://github.com/ros2/ros2cli/issues/452>)
    Otherwise, we get a KeyError and get warnings about not being able to find versions for certain packages.
  * [ros2doctor] Improve doctor_warn() . (#445 <https://github.com/ros2/ros2cli/issues/445>)
    * Decouple warning/error msg from result to show traceback
    * Update print statement to use f-string
    * Remove None return and add error catching
    * Specify stacklevel; add doctor_error
  * Multimachine communication. (#432 <https://github.com/ros2/ros2cli/issues/432>)
    * Add verb call
    * Add verb entry point
    * Put executor.spin in its own thread
    * Update args

