=== debian/control ===
Source: ros-rolling-ros2doctor
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-ament-xmllint, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-launch-testing, ros-rolling-launch-testing-ros, ros-rolling-ros2cli, ros-rolling-std-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros2doctor
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, python3-importlib-metadata, python3-psutil, python3-rosdistro-modules, ros-rolling-ament-index-python, ros-rolling-rclpy, ros-rolling-ros-environment, ros-rolling-ros2cli, ros-rolling-ros-workspace
Description: A command line tool to check potential issues in a ROS 2 system
