=== debian/control ===
Source: ros-rolling-ros2doctor
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-pytest-timeout <!nocheck>, ros-rolling-ament-copyright <!nocheck>, ros-rolling-ament-flake8 <!nocheck>, ros-rolling-ament-pep257 <!nocheck>, ros-rolling-ament-xmllint <!nocheck>, ros-rolling-launch <!nocheck>, ros-rolling-launch-ros <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ros <!nocheck>, ros-rolling-std-msgs <!nocheck>, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros2doctor
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, python3-importlib-metadata, python3-psutil, python3-rosdistro-modules, ros-rolling-ament-index-python, ros-rolling-rclpy, ros-rolling-ros-environment, ros-rolling-ros2cli, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: A command line tool to check potential issues in a ROS 2 system
